# Uses of Class
org.apache.solr.client.solrj.response.FieldAnalysisResponse.Analysis

Packages that use FieldAnalysisResponse.Analysis
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of FieldAnalysisResponse.Analysis in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return FieldAnalysisResponse.Analysis
Modifier and Type
Method
Description
`FieldAnalysisResponse.Analysis`
FieldAnalysisResponse.`getFieldNameAnalysis(String fieldName)`
Returns the analysis for the given field name or `null` if no such analysis exists.
`FieldAnalysisResponse.Analysis`
FieldAnalysisResponse.`getFieldTypeAnalysis(String fieldTypeName)`
Returns the analysis for the given field type or `null` if no such analysis exists.
Methods in org.apache.solr.client.solrj.response that return types with arguments of type FieldAnalysisResponse.Analysis
Modifier and Type
Method
Description
`Iterable<Map.Entry<String,FieldAnalysisResponse.Analysis>>`
FieldAnalysisResponse.`getAllFieldNameAnalysis()`
Returns all field name analyzed with their associated field names.
`Iterable<Map.Entry<String,FieldAnalysisResponse.Analysis>>`
FieldAnalysisResponse.`getAllFieldTypeAnalysis()`
Returns all field type analyses with their associated field types.